summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-tlnet
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2020-03-02 19:13:55 +0000
committerKarl Berry <karl@freefriends.org>2020-03-02 19:13:55 +0000
commitba19da0b4ede056aa7d70a9761260c4dcf14f837 (patch)
tree33b3466c79dd26240bc48bbe2147d394d003e1f1 /Master/tlpkg/bin/tl-update-tlnet
parent68a1e6d08da7ca3ab9157a444020cead5f7d3a2f (diff)
doc, error msgs
git-svn-id: svn://tug.org/texlive/trunk@54008 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-tlnet')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-tlnet23
1 files changed, 17 insertions, 6 deletions
diff --git a/Master/tlpkg/bin/tl-update-tlnet b/Master/tlpkg/bin/tl-update-tlnet
index 649e632d289..7a4fe36c3da 100755
--- a/Master/tlpkg/bin/tl-update-tlnet
+++ b/Master/tlpkg/bin/tl-update-tlnet
@@ -99,7 +99,7 @@ for f in $tlweb/*; do
done
# Update packages in our working dir.
-echo "$0: Updating $tltry with cow-shell..."
+echo "$0: Updating $tltry (from $Master) with cow-shell..."
containers_prog="$Master/tlpkg/bin/tl-update-containers"
containers_args=" $verbose -location $tltry $critical $recreate $gpgcmd"
containers_invoke="$containers_prog $containers_args"
@@ -108,13 +108,22 @@ cd $tltry
cow-shell <<END_COW
echo "$0: Updating containers with (critical=$critical recreate=$recreate gpgcmd=$gpgcmd)"
echo "$0: $containers_invoke"
-$containers_invoke
+if $containers_invoke; then :; else
+ echo "$0: tl-update-containers failed, goodbye." >&2
+ exit 1
+fi
# It is scary, but I guess we should update the installer package every
# day, partly for the sake of doc.html and partly so it actually gets
# tested. Hopefully we don't break the Perl modules very often.
-echo "$0: Running tl-update-install-pkg (also from $Master)..."
-$Master/tlpkg/bin/tl-update-install-pkg $gpgcmd -o $tltry
+update_install_prog=$Master/tlpkg/bin/tl-update-install-pkg
+update_install_invoke="$update_install_prog $gpgcmd -o $tltry"
+echo "$0: Updating install pkg with"
+echo "$0: $update_install_invoke"
+if $update_install_invoke; then :; else
+ echo "$0: tl-update-install-pkg failed, goodbye." >&2
+ exit 1
+fi
END_COW
# cow-shell leaves this around, haven't tracked down (or reported).
@@ -252,11 +261,13 @@ fi
# This might not exist if the test install didn't get this far.
install_tl_log=$tltryinst/$yyyy/install-tl.log
-if test ! -r $install_tl_log \
- || grep -i '^fmtutil.*error.*' $install_tl_log >/dev/null; then
+if test -r $install_tl_log \
+ && grep -i '^fmtutil.*error.*' $install_tl_log >/dev/null; then
echo >&2
echo "$0: seems fmtutil failed, check $install_tl_log." >&2
failure=true
+else
+ : # appease -e
fi
# In all cases, make copies in /tmp for inspection in case of